Send feedback
Enum EventType (0.43.0)
Stay organized with collections
Save and categorize content based on your preferences.
0.43.0 (latest)
0.41.0
0.39.0
0.38.0
0.36.0
0.34.0
0.32.0
0.31.0
0.30.0
0.29.0
0.28.0
0.26.0
0.24.0
0.23.0
0.20.0
0.19.0
0.18.0
0.16.0
0.15.0
0.14.0
0.13.0
0.12.0
0.11.0
0.10.0
0.9.0
0.8.0
0.7.0
0.5.0
0.4.0
0.3.0
0.2.0
0.1.0
public enum EventType extends Enum<EventType> implements ProtocolMessageEnum
The part of the request or response for which the extension is called.
Protobuf enum google.cloud.networkservices.v1.EventType
Static Fields
Name
Description
EVENT_TYPE_UNSPECIFIED
Unspecified value. Do not use.
EVENT_TYPE_UNSPECIFIED = 0;
EVENT_TYPE_UNSPECIFIED_VALUE
Unspecified value. Do not use.
EVENT_TYPE_UNSPECIFIED = 0;
REQUEST_BODY
If included in supported_events,
the extension is called when the HTTP request body arrives.
REQUEST_BODY = 2;
REQUEST_BODY_VALUE
If included in supported_events,
the extension is called when the HTTP request body arrives.
REQUEST_BODY = 2;
If included in supported_events,
the extension is called when the HTTP request headers arrive.
REQUEST_HEADERS = 1;
If included in supported_events,
the extension is called when the HTTP request headers arrive.
REQUEST_HEADERS = 1;
REQUEST_TRAILERS
If included in supported_events,
the extension is called when the HTTP request trailers arrives.
REQUEST_TRAILERS = 5;
REQUEST_TRAILERS_VALUE
If included in supported_events,
the extension is called when the HTTP request trailers arrives.
REQUEST_TRAILERS = 5;
RESPONSE_BODY
If included in supported_events,
the extension is called when the HTTP response body arrives.
RESPONSE_BODY = 4;
RESPONSE_BODY_VALUE
If included in supported_events,
the extension is called when the HTTP response body arrives.
RESPONSE_BODY = 4;
If included in supported_events,
the extension is called when the HTTP response headers arrive.
RESPONSE_HEADERS = 3;
If included in supported_events,
the extension is called when the HTTP response headers arrive.
RESPONSE_HEADERS = 3;
RESPONSE_TRAILERS
If included in supported_events,
the extension is called when the HTTP response trailers arrives.
RESPONSE_TRAILERS = 6;
RESPONSE_TRAILERS_VALUE
If included in supported_events,
the extension is called when the HTTP response trailers arrives.
RESPONSE_TRAILERS = 6;
UNRECOGNIZED
Static Methods
Name
Description
forNumber(int value)
getDescriptor()
internalGetValueMap()
valueOf(Descriptors.EnumValueDescriptor desc)
valueOf(int value)
Deprecated. Use #forNumber(int) instead.
valueOf(String name)
values()
Methods
Name
Description
getDescriptorForType()
getNumber()
getValueDescriptor()
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-14 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-03-14 UTC."],[],[]]